Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
CoinFileIOBase Class Reference

Base class for FileIO classes. More...

`#include <CoinFileIO.hpp>`

Inheritance diagram for CoinFileIOBase:
[legend]
Collaboration diagram for CoinFileIOBase:
[legend]

## Public Member Functions
| CoinFileIOBase (const std::string &fileName)
| Constructor. More...
| ~CoinFileIOBase ()
| Destructor. More...
const char * | getFileName () const
| Return the name of the file used by this object. More...
std::string | getReadType () const
| Return the method of reading being used. More...

## Protected Attributes
std::string | readType_

## Private Member Functions
| CoinFileIOBase ()
| CoinFileIOBase (const CoinFileIOBase &)

## Private Attributes
std::string | fileName_

## Detailed Description

Base class for FileIO classes.

Definition at line 11 of file CoinFileIO.hpp.

## Constructor & Destructor Documentation

CoinFileIOBase::CoinFileIOBase | ( | const std::string & | fileName | ) |

Constructor.

Parameters

  fileName | The name of the file used by this object.

CoinFileIOBase::~CoinFileIOBase | ( |  | ) |

Destructor.

CoinFileIOBase::CoinFileIOBase | ( |  | ) |
| private

CoinFileIOBase::CoinFileIOBase | ( | const CoinFileIOBase & |  | ) |
| private

## Member Function Documentation

const char* CoinFileIOBase::getFileName | ( |  | ) | const

Return the name of the file used by this object.

std::string CoinFileIOBase::getReadType | ( |  | ) | const
| inline

Return the method of reading being used.

Definition at line 24 of file CoinFileIO.hpp.

## Member Data Documentation

std::string CoinFileIOBase::readType_
| protected

Definition at line 30 of file CoinFileIO.hpp.

std::string CoinFileIOBase::fileName_
| private

Definition at line 36 of file CoinFileIO.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinFileIO.hpp